Managed Service for MongoDB API, REST: Cluster.UpdateHosts
Updates the specified parameters for the host.
(-- api-linter: yc::1705::http-method-mapping=disabled --)
HTTP request
POST https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/hosts:batchUpdate
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the MongoDB cluster to update hosts from. The maximum string length in characters is 50. |
Body parameters
{
"updateHostSpecs": [
{
"hostName": "string",
"hidden": "boolean",
"secondaryDelaySecs": "string",
"priority": "number",
"assignPublicIp": "boolean",
"updateMask": "string",
"tags": "object"
}
]
}
|
Field |
Description |
|
updateHostSpecs[] |
New configurations to apply to hosts of a Managed Service for MongoDB cluster. The number of elements must be greater than 0. |
UpdateHostSpec
|
Field |
Description |
|
hostName |
string Required field. Host to be updated. Specify the host FQDN. The maximum string length in characters is 253. |
|
hidden |
boolean Determines if the host is a hidden replica set member. |
|
secondaryDelaySecs |
string (int64) The time, in seconds, by which the given replica set member lags behind the primary host. |
|
priority |
number (double) Priority of the host to be elected as the primary in the replica set. |
|
assignPublicIp |
boolean Determines whether the host should get a public IP address after the update. |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
tags |
object (map<string, string>) Host tag list that contains key-value pairs for the given replica set member. For more information about how to specify the tags and what values to choose, see the MongoDB documentation |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |